BootstrapMethodError (Java SE 15 & JDK 15)
Description: declaration: module: java.base, package: java.lang, class: BootstrapMethodError
Keywords: java.lang.BootstrapMethodError class

Module java.base
Package java.lang

# Class BootstrapMethodError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.LinkageError
java.lang.BootstrapMethodError

All Implemented Interfaces:
  `Serializable`

    public class BootstrapMethodError
    extends LinkageError

Thrown to indicate that an `invokedynamic` instruction or a dynamic constant failed to resolve its bootstrap method and arguments, or for `invokedynamic` instruction the bootstrap method has failed to provide a call site with a target of the correct method type, or for a dynamic constant the bootstrap method has failed to provide a constant value of the required type.

Since:
  1.7
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BootstrapMethodError()` | Constructs a `BootstrapMethodError` with no detail message.
  `BootstrapMethodError​(String s)` | Constructs a `BootstrapMethodError` with the specified detail message.
  `BootstrapMethodError​(String s, Throwable cause)` | Constructs a `BootstrapMethodError` with the specified detail message and cause.
  `BootstrapMethodError​(Throwable cause)` | Constructs a `BootstrapMethodError` with the specified cause.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BootstrapMethodError

    public BootstrapMethodError()
    Constructs a `BootstrapMethodError` with no detail message.

  - ### BootstrapMethodError

    public BootstrapMethodError​(String s)
    Constructs a `BootstrapMethodError` with the specified detail message.
    Parameters:
      `s` - the detail message.

  - ### BootstrapMethodError

    public BootstrapMethodError​(String s, Throwable cause)
    Constructs a `BootstrapMethodError` with the specified detail message and cause.
    Parameters:
      `s` - the detail message.
      `cause` - the cause, may be `null`.

  - ### BootstrapMethodError

    public BootstrapMethodError​(Throwable cause)
    Constructs a `BootstrapMethodError` with the specified cause.
    Parameters:
      `cause` - the cause, may be `null`.